aboutsummaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
authorAlexey Edelev <alexey.edelev@qt.io>2022-11-24 18:29:58 +0100
committerAlexey Edelev <alexey.edelev@qt.io>2022-11-25 09:50:50 +0100
commit661636f3e862b7925d9d2b28e06befea0d6032c8 (patch)
tree4df2e075824bf3bd4d19339216f684d4e2288871 /coin
parent76a44df8415c167583651a2ffdd44a4b7c7a0243 (diff)
Add the missing protobuf provisioning script for MacOS 11 x86_64
Change-Id: I5c607a05b2f040e90cc0c4a2220d8565881c4983 Reviewed-by: MÃ¥rten Nordheim <marten.nordheim@qt.io> Reviewed-by: Tatiana Borisova <tatiana.borisova@qt.io>
Diffstat (limited to 'coin')
-rwxr-xr-xcoin/provisioning/qtci-macos-11-x86_64/35-install_protobuf.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-11-x86_64/35-install_protobuf.sh b/coin/provisioning/qtci-macos-11-x86_64/35-install_protobuf.sh
new file mode 100755
index 00000000..2ef3eb8f
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-x86_64/35-install_protobuf.sh
@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2020 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
+